use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug)]
pub struct ListMembersRequest {
  pub group_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct Member {
  pub id: i64,
  pub username: String,
  pub cash: f64,
  pub cash_bota: f64,
  pub nickname: String,
  pub site_username: String,
  pub group_key: Option<String>,
  pub oriental_play: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _ListMembersResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub users: Option<Vec<Member>>,
}

#[derive(Debug)]
pub struct ListMembersResponse {
  pub users: Vec<Member>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct CreateMemberRequest {
  pub username: String,
  pub nickname: String,
  pub site_username: String,
  pub group_key: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _CreateMemberResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub id: Option<i64>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct CreateMemberResponse {
  pub id: i64,
}
